services:
  postgis:
    container_name: postgis
    environment:
      - POSTGRES_DB="${POSTGIS_DATABASE:?}"
      - POSTGRES_USER="${POSTGIS_USER:?}"
      - POSTGRES_PASSWORD="${POSTGIS_PASSWORD:?}"
    image: postgis/postgis:14-3.2
    ports:
      - 7654:5432
    restart: unless-stopped
    volumes:
      - /opt/postgis:/var/lib/postgresql/data
